Сообщения без ответов | Активные темы Текущее время: 05 июл 2022, 00:46



Ответить на тему  [ Сообщений: 58 ]  Страница «  1, 2, 3, 4, 5, 6  »
Сборка Elite-Board 4.0.210330 
Автор Сообщение

Зарегистрирован: 17 июл 2019, 18:44
Сообщения: 14

Приветствую!
Обновился до версии Elite-Board 4.0.210330, шаблон Toros перестал работать ..... . (Автор шаблона адаптировал/переделывал шаблон под версию Elite-Board 4.0.210119)
При выборе шаблона Toros, сбрасывается на Neo. Все встроенные шаблоны работают.

Что подскажите делать?


20 апр 2021, 18:58
Профиль
Аватара пользователя

Зарегистрирован: 19 ноя 2017, 18:54
Сообщения: 330
Аватара пользователя

Александр писал(а):
Приветствую!
Обновился до версии Elite-Board 4.0.210330, шаблон Toros перестал работать ..... . (Автор шаблона адаптировал/переделывал шаблон под версию Elite-Board 4.0.210119)
При выборе шаблона Toros, сбрасывается на Neo. Все встроенные шаблоны работают.

Что подскажите делать?

Откатывайтесь на старую версию, наймите специалиста для доработок, обращайтесь к создателю шаблона. Вариантов масса.


20 апр 2021, 20:23
Профиль

Зарегистрирован: 17 июл 2019, 18:44
Сообщения: 14

Александр писал(а):
Приветствую!
Обновился до версии Elite-Board 4.0.210330, шаблон Toros перестал работать ..... . (Автор шаблона адаптировал/переделывал шаблон под версию Elite-Board 4.0.210119)
При выборе шаблона Toros, сбрасывается на Neo. Все встроенные шаблоны работают.

Что подскажите делать?


Проблема появляется когда происходит замена файла (/../includes/compile/functions.php) файлом "functions.php" из обновления "eliteboard_rus_40_210330_patch"

Вопрос остается открытым.


20 апр 2021, 21:42
Профиль
Администратор
Аватара пользователя

Зарегистрирован: 20 сен 2010, 21:15
Сообщения: 2661
Аватара пользователя

Александр писал(а):
Приветствую!
Обновился до версии Elite-Board 4.0.210330, шаблон Toros перестал работать ..... . (Автор шаблона адаптировал/переделывал шаблон под версию Elite-Board 4.0.210119)
При выборе шаблона Toros, сбрасывается на Neo. Все встроенные шаблоны работают.

Что подскажите делать?

Старые платные шаблоны в новой версии работать не будут. Напишите автору шаблона

_________________
До конца июля в отпуске


21 апр 2021, 17:44
Профиль

Зарегистрирован: 17 июл 2019, 18:44
Сообщения: 14

Geo писал(а):
Александр писал(а):
Приветствую!
Обновился до версии Elite-Board 4.0.210330, шаблон Toros перестал работать ..... . (Автор шаблона адаптировал/переделывал шаблон под версию Elite-Board 4.0.210119)
При выборе шаблона Toros, сбрасывается на Neo. Все встроенные шаблоны работают.

Цитата:
Проблема появляется когда происходит замена файла (/../includes/compile/functions.php) файлом "functions.php" из обновления "eliteboard_rus_40_210330_patch"

Вопрос остается открытым.


Что подскажите делать?

Старые платные шаблоны в новой версии работать не будут. Напишите автору шаблона




Написать автору шаблона, что подоспело очередное исправление ошибок в скрипте и теперь необходимо в очередной раз обновить ключ/лицензию или что там еще.... в общем и целом куда засылать очередной платеж? Так это теперь у Вас работает?
Хорошо, допустим. Но перед этим можно получить ответ на вопрос:

Небольшое ПРЕДИСЛОВИЕ
При обновлении скрипта с мажорной версии "Elite-Board 2.3.200218" до мажорной версии "Elite-Board 3.0.200330", было внесено разработчиком ряд изменений, среди которых были изменения затрагивающие шаблоны как встроенные, так и "Платные" - т.е., шаблоны от сторонних разработчиков. В данные "Платные"-шаблоны, после обновления скрипта по предоставленной инструкции необходимо было внести собственноручно (Бесплатно), или за дополнительную плату изменения для корректной работы шаблона. При этом после обновления скрипта (до мажорной версии Elite-Board 3.0) "Платный" шаблон работал, пусть с ошибками но работал, и не требовал нового лицензионного ключа.

Следующее обновление скрипта с мажорной версии "Elite-Board 3.0.210118" до мажорной версии "Elite-Board 4.0.210119", принесло много исправлений и функций среди которых одно из самых основных нововведений переход на новый механизм для защиты кода скрипта т.е., "Интеллектуальной собственности" - разработчика. После обновления нужно было в принудительном порядке, на платной основе связывается с разработчиком шаблона, который в свою очередь вносил изменения в шаблон для нормальной его работы. В противном случае сайт не открывался ссылаясь на неправильный ключ лицензии. Хорошо, подумал -поддержка разработчика дело полезное. Связался, Оплатил, Внесли изменения. Все заработало. Ура! (Кстати ключ лицензии на шаблон выданный и прописанный в ЛК - illusionweb.org/cp.html, не изменился!)

И тут спустя месяц после Мажорного обновления "Elite-Board 4.0.210119" выходит обновление "Elite-Board 4.0.210330" исправляющее ошибки которые были найдены пользователями после запуска Мажорного обновления "Elite-Board 4.0.210119". Установил обновление, и.. Все, Шаблон опять не работает его попросту невозможно выбрать в ПУ, причем проблема явно в скрипте "Elite-Board 4.0.210330", а конкретно в файле (/../includes/compile/functions.php), который в свою очередь зашифрован! Т.е., нет никакой возможности собственноручно исправить данную проблему.

Кстати в Патчноуте нет никаких предупреждений, что "Платные" шаблоны требуют доработки или перестанут работать!
https://blog.illusionweb.org/blog/post/123/
https://blog.illusionweb.org/blog/post/124/

Еще раз повторюсь: Шаблон был адаптирован/лицензирован непосредственно автором шаблона под Мажорную версию скрипта "Elite-Board 4.0.210119" и полная его неработоспособность после установки патча исправлений "Elite-Board 4.0.210330", явно указывает на проблему со стороны скрипта.

А теперь собственно сам вопрос: Уважаемый Разработчик, почему Я должен платить Автору Шаблона за Ваши ошибки/недоработки?


22 апр 2021, 04:39
Профиль
Администратор
Аватара пользователя

Зарегистрирован: 20 сен 2010, 21:15
Сообщения: 2661
Аватара пользователя

Извините, неправильно понял. Я думал, Вы пишите про обновление с 3-й версии.
Проблема возникла после обновления 4.0.210119 -> 4.0.210330, правильно?
Оксана сама обновила шаблон и новый ключ не дала?
Оставьте мне доступ к файлам по ftp под тегом private или на почту

_________________
До конца июля в отпуске


22 апр 2021, 17:21
Профиль

Зарегистрирован: 17 июл 2019, 18:44
Сообщения: 14

Geo писал(а):
Извините, неправильно понял. Я думал, Вы пишите про обновление с 3-й версии.
Проблема возникла после обновления 4.0.210119 -> 4.0.210330, правильно?
Оксана сама обновила шаблон и новый ключ не дала?
Оставьте мне доступ к файлам по ftp под тегом private или на почту




1.Да, все верно. Проблема появляется когда происходит замена файла (Elite-Board 4.0.210119/../includes/compile/functions.php) файлом "functions.php" из обновления "eliteboard_rus_40_210330_patch".
На данный момент все файлы из патча "eliteboard_rus_40_210330_patch" загружены и вроде бы работают, кроме соответственно файла "functions.php" - его я оставил от версии "Elite-Board 4.0.210119", иначе шаблон не работает.

2.Да, все верно. Связывался с Оксаной Соболевой, обновила/адаптировала шаблон. Ключ лицензии шаблона не изменился, как был при покупке на актуальную тогда версию "Elite-Board 3", так и остался. Никаких новых ключей тоже не получал.

3.
Скрытая информация


22 апр 2021, 19:25
Профиль

Зарегистрирован: 09 апр 2012, 08:29
Сообщения: 35
Откуда: Cyprus

Здравствуйте, обновил до последней версии сайт - http://videost.ru/, в разделе администратора всё работает, все объявления на месте, но выходу на сайт - получаю вот такое сообщение - Parse error: syntax error, unexpected '%', expecting end of file in /var/www/www-root/data/www/videost.ru/includes/compile/blocks.php(174) : eval()'d code on line 1 (какая-то синтаксическая ошибка)

Как это исправить?


25 апр 2021, 11:51
Профиль WWW
Администратор
Аватара пользователя

Зарегистрирован: 20 сен 2010, 21:15
Сообщения: 2661
Аватара пользователя

В разделе Блоки добавлен блок с типом PHP, а там, скорей всего html содержимое. Найдите этот блок и переключите его в html

_________________
До конца июля в отпуске


25 апр 2021, 19:32
Профиль
Аватара пользователя

Зарегистрирован: 02 ноя 2020, 15:56
Сообщения: 88
Аватара пользователя

Здравствуйте, Geo!

В шаблоне Universal, требуется ли делать какие-нибудь изменения чтобы обновиться до этой версии? Заранее спасибо!


29 апр 2021, 18:37
Профиль
Показать сообщения за:  Поле сортировки  
Ответить на тему   [ Сообщений: 58 ] 
Страница «  1, 2, 3, 4, 5, 6  »

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения
Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
cron